### Constructor

# Ide DebuggerThreadGroup new

#### Declaration

    IdeDebuggerThreadGroup*
    ide_debugger_thread_group_new (
      const gchar* id
    )

#### Description

No description available.

#### Parameters

`id` | `const gchar*`
| No description available.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.

#### Return value

Returns: | `IdeDebuggerThreadGroup`
| No description available.
| The caller of the function takes ownership of the data, and is responsible for freeing it.